> For the complete documentation index, see [llms.txt](https://docs.blockend.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockend.com/compass-api.md).

# Compass API

- [API Reference](https://docs.blockend.com/compass-api/api-reference.md)
- [Getting Started](https://docs.blockend.com/compass-api/api-reference/getting-started.md)
- [Authentication](https://docs.blockend.com/compass-api/api-reference/authentication.md)
- [Fetching Quotes](https://docs.blockend.com/compass-api/api-reference/fetching-quotes.md)
- [Create Transaction](https://docs.blockend.com/compass-api/api-reference/create-transaction.md)
- [Get Raw Transaction To Execute](https://docs.blockend.com/compass-api/api-reference/get-raw-transaction-to-execute.md)
- [Check Transaction Status](https://docs.blockend.com/compass-api/api-reference/check-transaction-status.md)
- [Quick Swap API](https://docs.blockend.com/compass-api/api-reference/quick-swap-api.md)
- [Lite Mode](https://docs.blockend.com/compass-api/api-reference/lite-mode.md)
- [Gasless Swaps](https://docs.blockend.com/compass-api/api-reference/gasless-swaps.md)
- [Type Definations](https://docs.blockend.com/compass-api/api-reference/type-definations.md)
- [Get Supported Chains & Tokens](https://docs.blockend.com/compass-api/api-reference/get-supported-chains-and-tokens.md)
- [SDK](https://docs.blockend.com/compass-api/sdk.md)
- [Getting Started](https://docs.blockend.com/compass-api/sdk/getting-started.md)
- [Configuration](https://docs.blockend.com/compass-api/sdk/configuration.md)
- [Core Methods](https://docs.blockend.com/compass-api/sdk/core-methods.md)
- [getQuotes](https://docs.blockend.com/compass-api/sdk/core-methods/getquotes.md)
- [Create Transaction](https://docs.blockend.com/compass-api/sdk/core-methods/create-transaction.md)
- [getNextTxn](https://docs.blockend.com/compass-api/sdk/core-methods/getnexttxn.md)
- [Check Status](https://docs.blockend.com/compass-api/sdk/core-methods/check-status.md)
- [pollTransactionStatus](https://docs.blockend.com/compass-api/sdk/core-methods/polltransactionstatus.md)
- [executeQuote](https://docs.blockend.com/compass-api/sdk/core-methods/executequote.md)
- [executeTransaction](https://docs.blockend.com/compass-api/sdk/core-methods/executetransaction.md)
- [Gasless Transactions](https://docs.blockend.com/compass-api/sdk/gasless-transactions.md)
- [Tokens and Chains](https://docs.blockend.com/compass-api/sdk/tokens-and-chains.md)
- [Supported Chains](https://docs.blockend.com/compass-api/supported-chains.md)
- [Liquidity Sources](https://docs.blockend.com/compass-api/liquidity-sources.md)
- [Technical FAQs](https://docs.blockend.com/compass-api/technical-faqs.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockend.com/compass-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
